//	Microworks ObjectMate 2.6
//
//  "SFX Class Library"
//
//	An ObjectWindows 2.0 extension for Borland C++ 4.0
//
//	Copyright 1992-94 Microworks Sydney, Australia.
//
//  SDFRAME.CPP

#include <owl\owlpch.h>
#include <sfx\sfx200.h>
#include <sfx\sdframe.h>

DEFINE_RESPONSE_TABLE1(TSFXDecoratedFrame, TDecoratedFrame)
END_RESPONSE_TABLE;

//	constructor for a TSFXDecoratedFrame object

TSFXDecoratedFrame::TSFXDecoratedFrame(TWindow*        parent,
									   const char far* title,
									   TWindow*        clientWnd,
									   BOOL            sfxCaption,
									   BOOL            trackMenuSelection,
									   TModule*        module)
	:TDecoratedFrame(parent, title, clientWnd, trackMenuSelection, module)
{
	TWindow::Init(0, title, module);
	TFrameWindow::Init(clientWnd, FALSE);
	Attr.Style |= MWS_3DFRAME;
	if (sfxCaption)
		Attr.Style |= MWS_SFXCAPTION;
}

LRESULT
TSFXDecoratedFrame::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{
	return SFXDefWindowProc(HWindow, message, wParam, lParam);
}

IMPLEMENT_STREAMABLE3(TSFXDecoratedFrame, TDecoratedFrame, TFrameWindow, TWindow);

void*
TSFXDecoratedFrame::Streamer::Read(ipstream& is, uint32 /*version*/) const
{
	ReadBaseObject((TDecoratedFrame*)GetObject(), is);
	return GetObject();
}

void
TSFXDecoratedFrame::Streamer::Write(opstream& os) const
{
	WriteBaseObject((TDecoratedFrame*)GetObject(), os);
}

